Nightly Tester Tools 「強制安裝」未支援新版Firefox的擴充套件、佈景主題

Nightly Tester Tools」是個相當多網友愛用的小工具,他的主要功能是讓舊版擴充套件可以安裝在最新版的Firefox瀏覽器裡面,算是一種協助強制安裝套件的工具。當然,這個作法僅僅只是「測試」用途,有些套件透過強制安裝的手段可以正常運作,但有些版本太舊或問題太多的外掛或佈景主題可能在我們強制安裝之後,反而會讓Firefox運作不穩定。

如果你常常喜歡下載最新版的Firefox瀏覽器來測試、嘗鮮的話,可以搭配使用Nightly Tester Tools來強制安裝其他慣用但還沒推出對應版本的擴充套件或佈景主題,如果測試之後可以正常在新版Firefox運作,那就可以繼續用下去,不用再改變自己原本的習慣或苦等新版程式。

▇ 軟體小檔案 ▇     (錯誤、版本更新回報)

 

如圖,當我們安裝了新版的Firefox瀏覽器之後,部份擴充套件或佈景主題可能因為版本太舊而無法正常在新版的Firefox裡運作,「附加元件」視窗裡面會顯示「不相容」的訊息,此時可以拿Nightly Tester Tools來試試看,如果強制安裝之後程式運作正常,則可繼續用下去。

01

 

Nightly Tester Tools使用方法:

第1步  當我們安裝好Nightly Tester Tools擴充套件後,可以依序按下〔工具〕→【附加元件】。

02

 

第2步  「附件元件」視窗中會顯示有部份擴充套件因為版本太舊而無法使用,此時我們可以按一下右下角的〔Override all compatibility〕按鈕,強制安裝這些版本不相容的擴充套件。

 03

 

第3步  接著會出現一些警告訊息,提示我們強制安裝這些版本不相容的程式可能會讓程式卡住、引發當機、資料遺失或系統記憶體無法回收使用等問題,如果你確定要冒點風險來試用看看這些程式的話,可以按一下〔Force Install〕按鈕,強制安裝這些程式。

04

 

第4步  如圖,安裝好之後,原本無法正常安裝、運作的程式都已經被強制安裝到Firefox瀏覽器中囉。此時請再多花點時間測試一下擴充套件的各種設定、網頁開啟速度與程式運作效率,如果確信這些外掛程式可以正常運作的話,才繼續用下去。如果發現安裝之後很容易讓程式當掉或引發其他奇怪的問題,請暫時停止在新版Firefox使用這類版本不相容的擴充套件。

05

 

第5步  另外,佈景主題的部份也是可以透過Nightly Tester Tools來解決版本不相容的問題,一樣是按〔Override all compatibility〕按鈕來強制安裝。不過也要記得安裝好之後先測試一下是否可以正常運作,一切都沒問題之後再繼續使用。

06

 

第6步  另外,Nightly Tester Tools也提供了一個修改Firefox瀏覽器視窗標題的功能,勾選「Use coustom tiitle」之後,我們可以依照自己的需求自訂視窗標題要顯示的資訊,如軟體的詳細版本編號、開發廠商、系統平台...等等,對於安裝多套軟體來測試不同網頁的人來說,這樣的標示應該可以讓工作更方便些。

07

 

第7步  如圖,改好之後的視窗標題就像這樣,他可以依照不同的軟體版本、系統環境標示當時的狀況。

08

相關資訊
訪客留言

9 則回應